.ifndef _stelnet_inc_
_stelnet_inc_=yes

USE_SSL=yes
USE_FWTK=yes

.include "../Makefile.inc"

INSTALL?=install.sh
.ifndef BSDOBJDIR
OBJMACHINE=yes
.endif
NOMAN=no
NOPIC=no
NOPROFILE=no
STRIP?=

TELNETSRC?=${BASE}/stelnet

CFLAGS+= -I${TELNETSRC}/conf/${.OBJDIR:T} -I${TELNETSRC} -DAUTH_HPW -DAUTHENTICATION -DENCRYPTION 
CFLAGS+= -DPKE_ENCRYPTION 
# uncomment if you wan't sjg's original RSA on the fly key exchange...
CFLAGS+= -DPKE_GENRSA

# this makes us much more efficient
#CFLAGS+= -DLINEMODE -DKLUDGELINEMODE
LDSTATIC?=$(STATIC)
LIBTELNET=${TELNETSRC}/libtelnet/${.OBJDIR:T}/libtelnet.a
LDADD += -lcurses ${TERMLIB}
.if exists(${LIBTERMCAP})
DPADD +=  ${LIBTERMCAP}
.endif
DPADD += ${LIBCURSES} ${LIBTELNET}
LDADD += -L${LIBTELNET:H} -ltelnet 
.if exists(${LIBCRYPT})
LDADD += -lcrypt
DPADD +=  ${LIBCRYPT}
.endif

BINDIR?=/usr/local/bin

SSLTOP?=/usr/local/ssl
LIBSSLFD?=${LIBDIR}/libsslfd.a
LIBCRYPTO?=${SSLTOP}/lib/libcrypto.a
.if exists(${LIBSSLFD}) && exists(${LIBCRYPTO})
CFLAGS+= -DUSE_SSL -DUSE_SSLFD -I/usr/local/ssl/include
LDADD+= -L${LIBSSLFD:H} -lsslfd -L${LIBCRYPTO:H} -lssl -lcrypto
DPADD+= ${LIBCRYPTO} ${LIBCRYPTO:H}/libssl.a
DPADD+= ${LIBSSLFD}
.else
.if exists(${LIBDIR}/libdes.a)
LDADD+= -ldes
DPADD+=  ${LIBDIR}/libdes.a
.endif
.endif

FWTKSRC?=${BASE}/fwtk
.if exists(${FWTKSRC}/lib/${.OBJDIR:T}/libfwtk.a)
LIBFWTK?=${FWTKSRC}/lib/${.OBJDIR:T}/libfwtk.a
.else
.if exists(${FWTKSRC}/lib/obj.${MACHINE}/libfwtk.a)
LIBFWTK?=${FWTKSRC}/lib/obj.${MACHINE}/libfwtk.a
.endif
.endif

.if exists(${LIBFWTK})
CFLAGS+= -I${FWTKSRC}/include
DPADD+= ${LIBFWTK} ${LIBFWTK:H}/libauth.a
LDADD+= -L${LIBFWTK:H} -lauth -lfwtk
# the following is needed to avoid a name conflict with libauth.a
CFLAGS+= -Dauth_send=tn_auth_send -DUSE_FWTK
.else
CFLAGS+= -DNO_FWTK
.endif

# need some sjg routines...
LDADD+= -ltcp

.ifndef _machine_inc_
_machine_inc_=yes
.if exists(${.CURDIR}/../Makefile.${MACHINE}.inc)
.include "${.CURDIR}/../Makefile.${MACHINE}.inc"
.elif exists(${.CURDIR}/../../Makefile.${MACHINE}.inc)
.include "${.CURDIR}/../../Makefile.${MACHINE}.inc"
.endif
.endif

TERMLIB?= -ltermcap

.endif
